- args:
    name: parts_orders
    table:
      name: jobs
      schema: public
    using:
      foreign_key_constraint_on:
        column: jobid
        table:
          name: parts_order
          schema: public
  type: create_array_relationship
- args:
    name: user
    table:
      name: parts_order
      schema: public
    using:
      foreign_key_constraint_on: ordered_by_user_id
  type: create_object_relationship
- args:
    name: job
    table:
      name: parts_order
      schema: public
    using:
      foreign_key_constraint_on: jobid
  type: create_object_relationship
- args:
    name: vendor
    table:
      name: parts_order
      schema: public
    using:
      foreign_key_constraint_on: vendorid
  type: create_object_relationship
- args:
    name: parts_orders
    table:
      name: users
      schema: public
    using:
      foreign_key_constraint_on:
        column: ordered_by_user_id
        table:
          name: parts_order
          schema: public
  type: create_array_relationship
- args:
    name: parts_orders
    table:
      name: vendors
      schema: public
    using:
      foreign_key_constraint_on:
        column: vendorid
        table:
          name: parts_order
          schema: public
  type: create_array_relationship
